%global gem_name occi-api

Name:           rubygem-%{gem_name}
Version:        4.2.6
Release:        1%{?dist}
Summary:        OCCI development library providing a high-level API

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/gwdg/rOCCI-api
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch
BuildRequires:  ruby(release) >= 1.9.3
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(httparty)
BuildRequires:  rubygem(occi-core) => 4.2.16
BuildRequires:  rubygem(occi-core) < 4.3
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(vcr)
# upstream: webmock ~> 1.9.3
BuildRequires:  rubygem(webmock) >= 1.9.0
%if 0%{?fedora} && 0%{?fedora} <= 20 || 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(release) >= 1.9.3
Requires:       ruby(rubygems)
Requires:       rubygem(occi-core) => 4.2.16
Requires:       rubygem(occi-core) < 4.3
Requires:       rubygem(httparty)
Requires:       rubygem(json)
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
This gem provides ready-to-use client classes to simplify the integration of
OCCI into your application.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# remove empty files in spec/
find %{buildroot}%{gem_instdir}/spec -type f -name \*spec.rb -size 0 -delete


%check
pushd .%{gem_instdir}
rspec -Ilib spec
popd


%files
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/LICENSE
%dir %{gem_instdir}/
%{gem_libdir}/
%exclude %{gem_cache}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rspec
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_spec}

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/examples/
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec/
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec


%changelog
* Sun Sep 14 2014 František Dvořák <valtri@civ.zcu.cz> - 4.2.6-1
- Initial package
